summaryrefslogtreecommitdiff
path: root/.local/bin/sb-mpdup
diff options
context:
space:
mode:
authorkrolyxon <krolyxon@tutanota.com>2022-09-11 14:01:32 +0530
committerkrolyxon <krolyxon@tutanota.com>2022-09-11 14:01:32 +0530
commit3df92328cd72edd10522dae651f7352543f5e387 (patch)
tree9eb7dbec6711c5a8b248a04c817835c2f3b915aa /.local/bin/sb-mpdup
parent87bf632f551d1c0be6e783e09676fe89526647b9 (diff)
sbar changed and rm sxhkd
Diffstat (limited to '.local/bin/sb-mpdup')
-rwxr-xr-x.local/bin/sb-mpdup8
1 files changed, 8 insertions, 0 deletions
diff --git a/.local/bin/sb-mpdup b/.local/bin/sb-mpdup
new file mode 100755
index 0000000..f67663a
--- /dev/null
+++ b/.local/bin/sb-mpdup
@@ -0,0 +1,8 @@
+#!/bin/sh
+
+# This loop will update the mpd statusbar module whenever a command changes the
+# music player's status. mpd must be running on X's start for this to work.
+
+while : ; do
+ mpc idle >/dev/null && kill -44 $(cat ~/.cache/pidofbar) || break
+done